# AKRUP

[![PyPI](https://img.shields.io/pypi/v/AKRUP)](https://pypi.org/project/AKRUP/)

AKRUP: Ancestral Karyotype Reconstruction Universal Pipeline

|         |                                                 |
| ------- | ----------------------------------------------- |
| Author  | wangjiaqi                                        |
| Email   | <wangjiaqiky@163.com>                           |
| License | [BSD](http://creativecommons.org/licenses/BSD/) |

## Description

Include a "from the bottom up On "ancestral karyotype inference  and a" top-down"inference of the evolutionary trajectory of ancient chromosomes



## Installation

+ **Pypi**

  ~~~
  pip install AKRUP
  ~~~



**The AKRUP requires the following dependencies :**

- Python (>3.7) with matplotlib, *biopython*, *click*,  *numpy*，*pandas*, and *scipy* libraries.
  **Note that the current version no longer supports python 2.**

- R with the ggridges and *ggplot2* packages.

- perl with the *[BioPerl](https://metacpan.org/pod/BioPerl)*  packages.

  

**Dependent third party software that has been integrated：**

|         |                                                 |
| ------- | ----------------------------------------------- |
|  **clustalw2**  | **[Larkin et al., 2007](https://academic.oup.com/bioinformatics/article/23/21/2947/371686)**  |
| **ColinearScan** | **[Wang et al., 2006](https://bmcbioinformatics.biomedcentral.com/articles/10.1186/1471-2105-7-447)** |
|    **blast+**    | **[Camacho et al., 2009](https://bmcbioinformatics.biomedcentral.com/articles/10.1186/1471-2105-10-421)** |



## Tips

+ Default parameters, configuration files and usage instructions for all subroutines of the AKRUP software are provided. Please consult the documentation at the [Wiki](https://github.com/Genome-structure-evolution-analysis/AKRUP/wiki).

+ Detailed user tutorials and test data are provided. Please consult the documentation on [AKRUP-example](https://github.com/Genome-structure-evolution-analysis/AKRUP-example).

+ Provides ancestral karyotypes for multiple phylogenetic nodes of monocots. Please consult the documentation on [monocots-karyotype-evolution](https://github.com/Genome-structure-evolution-analysis/monocots-karyotype-evolution).

  

## Citations

If you use AKRUP for  your work, please cite:

